com.ihr.xbrl.mapper.filters

## Class XBRLAndFilter

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<XBRLFacetFilter>
      - - com.ihr.xbrl.mapper.filters.XBRLAndFilter

- All Implemented Interfaces:
    XBRLFacetFilter, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<XBRLFacetFilter>, java.util.Collection<XBRLFacetFilter>, java.util.List<XBRLFacetFilter>, java.util.RandomAccess

      public class XBRLAndFilter
      extends java.util.Vector<XBRLFacetFilter>
      implements XBRLFacetFilter

  The Class XBRLAndFilter.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLAndFilter(java.lang.String id)` Instantiates a new XBRL and filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLFacetFilter` | `compileFilter(net.sf.saxon.s9api.XdmNode filterNode, net.sf.saxon.s9api.XPathCompiler xp, java.util.Hashtable<java.lang.String,XBRLFacetFilter> htFiltersById)` Compile filter.
    `org.jdom.Element` | `createFilterNode()` Returns a node representing the serialization of this filter so it can be created later from the node.
    `java.lang.String` | `getId()` Gets the id.
    `boolean` | `matches(XBRLFact fact, XBRLFilterContext context)` Return a boolean value indicating if the fact passes the filter.
    `void` | `setId(java.lang.String id)` Sets the id.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLAndFilter

          public XBRLAndFilter(java.lang.String id)

      Instantiates a new XBRL and filter.
      Parameters:
        `id` - the id

  - ### Method Detail

    - #### matches

          public boolean matches(XBRLFact fact,
                        XBRLFilterContext context)

      Description copied from interface: `XBRLFacetFilter`
      Return a boolean value indicating if the fact passes the filter. true - match false - no match
      Specified by:
        `matches` in interface `XBRLFacetFilter`
      Parameters:
        `fact` - XBRLFact to test
        `context` - the context
      Returns:
        boolean

    - #### createFilterNode

          public org.jdom.Element createFilterNode()
                                            throws LoaderException

      Description copied from interface: `XBRLFacetFilter`
      Returns a node representing the serialization of this filter so it can be created later from the node.
      Specified by:
        `createFilterNode` in interface `XBRLFacetFilter`
      Returns:
        org.jdom.Element
      Throws:
        `LoaderException` - the loader exception

    - #### compileFilter

          public static XBRLFacetFilter compileFilter(net.sf.saxon.s9api.XdmNode filterNode,
                                      net.sf.saxon.s9api.XPathCompiler xp,
                                      java.util.Hashtable<java.lang.String,XBRLFacetFilter> htFiltersById)
                                               throws LoaderException

      Compile filter.
      Parameters:
        `filterNode` - the filter node
        `xp` - the xp
        `htFiltersById` - the ht filters by id
      Returns:
        the XBRL facet filter
      Throws:
        `LoaderException` - the loader exception

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `XBRLFacetFilter`
      Gets the id.
      Specified by:
        `getId` in interface `XBRLFacetFilter`
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Description copied from interface: `XBRLFacetFilter`
      Sets the id.
      Specified by:
        `setId` in interface `XBRLFacetFilter`
      Parameters:
        `id` - the new id